Permalink
Browse files

Cant use silence_warnings before active support is loaded

git-svn-id: http://svn-commit.rubyonrails.org/rails/trunk@2250 5ecf4fe2-1ee6-0310-87b1-e25e094e27de
  • Loading branch information...
1 parent 428e0f4 commit 3e7b597ff4e6912818c5a9cc7498d7c03fe6d222 @dhh dhh committed Sep 15, 2005
Showing with 2 additions and 3 deletions.
  1. +1 −1 railties/environments/environment.rb
  2. +1 −2 railties/lib/initializer.rb
View
2 railties/environments/environment.rb
@@ -19,7 +19,7 @@
# config.log_level = :debug
# Only include the connection adapters you're actually going to use
- # config.connection_adapters = %w( mysql sqlite )
+ # config.connection_adapters = %w( mysql postgresql sqlite sqlserver db2 oci )
# Use the database for sessions instead of the file system
# (create the session table with 'rake create_sessions_table')
View
3 railties/lib/initializer.rb
@@ -58,8 +58,7 @@ def set_load_path
end
def set_connection_adapters
- adapters = configuration.connection_adapters
- silence_warnings { Object.const_set("RAILS_CONNECTION_ADAPTERS", adapters) if adapters }
+ Object.const_set("RAILS_CONNECTION_ADAPTERS", configuration.connection_adapters) if configuration.connection_adapters
end
def require_frameworks

0 comments on commit 3e7b597

Please sign in to comment.